Instantly share code, notes, and snippets.

Embed
What would you like to do?
Error: NodeDef mentions attr 'dilations' not in Op<name=Conv2D; signature=input:T, filter:T -> output:T; attr=T:type,allowed=[DT_HALF, DT_FLOAT]; attr=strides:list(int); attr=use_cudnn_on_gpu:bool,default=true; attr=padding:string,allowed=["SAME", "VALID"]; attr=data_format:string,default="NHWC",allowed=["NHWC", "NCHW"]>; NodeDef: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
[[Node: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp)]]
Caused by op 'import/module_apply_default/MobilenetV2/Conv/Conv2D', defined at:
File "/opt/algorithm/bin/pipe.py", line 96, in <module>
main()
File "/opt/algorithm/bin/pipe.py", line 29, in main
response_string = get_response(request)
File "/opt/algorithm/bin/pipe.py", line 45, in get_response
result = call_algorithm(request)
File "/opt/algorithm/bin/pipe.py", line 93, in call_algorithm
return algorithm.apply(data)
File "/opt/algorithm/src/furniture.py", line 113, in apply
graph = load_graph(base + "/graph.pb")
File "/opt/algorithm/src/furniture.py", line 40, in load_graph
tf.import_graph_def(graph_def)
File "/opt/algorithm/dependencies/tensorflow/python/framework/importer.py", line 313, in import_graph_def
op_def=op_def)
File "/opt/algorithm/dependencies/tensorflow/python/framework/ops.py", line 2630, in create_op
original_op=self._default_original_op, op_def=op_def)
File "/opt/algorithm/dependencies/tensorflow/python/framework/ops.py", line 1204, in __init__
self._traceback = self._graph._extract_stack() # pylint: disable=protected-access
InvalidArgumentError (see above for traceback): NodeDef mentions attr 'dilations' not in Op<name=Conv2D; signature=input:T, filter:T -> output:T; attr=T:type,allowed=[DT_HALF, DT_FLOAT]; attr=strides:list(int); attr=use_cudnn_on_gpu:bool,default=true; attr=padding:string,allowed=["SAME", "VALID"]; attr=data_format:string,default="NHWC",allowed=["NHWC", "NCHW"]>; NodeDef: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
[[Node: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp)]]
Traceback (most recent call last):
File "/opt/algorithm/dependencies/tensorflow/python/client/session.py", line 1327, in _do_call
return fn(*args)
File "/opt/algorithm/dependencies/tensorflow/python/client/session.py", line 1306, in _run_fn
status, run_metadata)
File "/opt/anaconda3/lib/python3.5/contextlib.py", line 66, in __exit__
next(self.gen)
File "/opt/algorithm/dependencies/tensorflow/python/framework/errors_impl.py", line 466, in raise_exception_on_not_ok_status
pywrap_tensorflow.TF_GetCode(status))
tensorflow.python.framework.errors_impl.InvalidArgumentError: NodeDef mentions attr 'dilations' not in Op<name=Conv2D; signature=input:T, filter:T -> output:T; attr=T:type,allowed=[DT_HALF, DT_FLOAT]; attr=strides:list(int); attr=use_cudnn_on_gpu:bool,default=true; attr=padding:string,allowed=["SAME", "VALID"]; attr=data_format:string,default="NHWC",allowed=["NHWC", "NCHW"]>; NodeDef: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
[[Node: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp)]]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/opt/algorithm/bin/pipe.py", line 45, in get_response
result = call_algorithm(request)
File "/opt/algorithm/bin/pipe.py", line 93, in call_algorithm
return algorithm.apply(data)
File "/opt/algorithm/src/furniture.py", line 133, in apply
label, confidence = classify_image(labels, graph, image["path"])
File "/opt/algorithm/src/furniture.py", line 101, in classify_image
input_operation.outputs[0]: t
File "/opt/algorithm/dependencies/tensorflow/python/client/session.py", line 895, in run
run_metadata_ptr)
File "/opt/algorithm/dependencies/tensorflow/python/client/session.py", line 1124, in _run
feed_dict_tensor, options, run_metadata)
File "/opt/algorithm/dependencies/tensorflow/python/client/session.py", line 1321, in _do_run
options, run_metadata)
File "/opt/algorithm/dependencies/tensorflow/python/client/session.py", line 1340, in _do_call
raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.InvalidArgumentError: NodeDef mentions attr 'dilations' not in Op<name=Conv2D; signature=input:T, filter:T -> output:T; attr=T:type,allowed=[DT_HALF, DT_FLOAT]; attr=strides:list(int); attr=use_cudnn_on_gpu:bool,default=true; attr=padding:string,allowed=["SAME", "VALID"]; attr=data_format:string,default="NHWC",allowed=["NHWC", "NCHW"]>; NodeDef: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
[[Node: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp)]]
Caused by op 'import/module_apply_default/MobilenetV2/Conv/Conv2D', defined at:
File "/opt/algorithm/bin/pipe.py", line 96, in <module>
main()
File "/opt/algorithm/bin/pipe.py", line 29, in main
response_string = get_response(request)
File "/opt/algorithm/bin/pipe.py", line 45, in get_response
result = call_algorithm(request)
File "/opt/algorithm/bin/pipe.py", line 93, in call_algorithm
return algorithm.apply(data)
File "/opt/algorithm/src/furniture.py", line 113, in apply
graph = load_graph(base + "/graph.pb")
File "/opt/algorithm/src/furniture.py", line 40, in load_graph
tf.import_graph_def(graph_def)
File "/opt/algorithm/dependencies/tensorflow/python/framework/importer.py", line 313, in import_graph_def
op_def=op_def)
File "/opt/algorithm/dependencies/tensorflow/python/framework/ops.py", line 2630, in create_op
original_op=self._default_original_op, op_def=op_def)
File "/opt/algorithm/dependencies/tensorflow/python/framework/ops.py", line 1204, in __init__
self._traceback = self._graph._extract_stack() # pylint: disable=protected-access
InvalidArgumentError (see above for traceback): NodeDef mentions attr 'dilations' not in Op<name=Conv2D; signature=input:T, filter:T -> output:T; attr=T:type,allowed=[DT_HALF, DT_FLOAT]; attr=strides:list(int); attr=use_cudnn_on_gpu:bool,default=true; attr=padding:string,allowed=["SAME", "VALID"]; attr=data_format:string,default="NHWC",allowed=["NHWC", "NCHW"]>; NodeDef: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp). (Check whether your GraphDef-interpreting binary is up to date with your GraphDef-generating binary.).
[[Node: import/module_apply_default/MobilenetV2/Conv/Conv2D = Conv2D[T=DT_FLOAT, data_format="NHWC", dilations=[1, 1, 1, 1], padding="SAME", strides=[1, 2, 2, 1], use_cudnn_on_gpu=true, _device="/job:localhost/replica:0/task:0/gpu:0"](import/module_apply_default/MobilenetV2/input, import/module_apply_default/MobilenetV2/Conv/Conv2D/ReadVariableOp)]]
Error: Failed to start algorithm - Traceback (most recent call last):
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "/opt/anaconda3/lib/python3.5/imp.py", line 243, in load_module
return load_dynamic(name, filename, file)
File "/opt/anaconda3/lib/python3.5/imp.py", line 343, in load_dynamic
return _load(spec)
ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory
2018-06-08T17:31:09.639 INFO ALGOERR -
During handling of the above exception, another exception occurred:
2018-06-08T17:31:09.639 INFO ALGOERR -
Traceback (most recent call last):
File "/opt/algorithm/bin/pipe.py", line 14, in <module>
algorithm = __import__('src.'+config['algoname'], fromlist=["apply"])
File "/opt/algorithm/src/furniture.py", line 6, in <module>
import tensorflow as tf
File "/opt/algorithm/dependencies/tensorflow/__init__.py", line 24, in <module>
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File "/opt/algorithm/dependencies/tensorflow/python/__init__.py", line 49, in <module>
from tensorflow.python import pywrap_tensorflow
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow.py", line 74, in <module>
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "/opt/algorithm/dependencies/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
File "/opt/anaconda3/lib/python3.5/imp.py", line 243, in load_module
return load_dynamic(name, filename, file)
File "/opt/anaconda3/lib/python3.5/imp.py", line 343, in load_dynamic
return _load(spec)
ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory
2018-06-08T17:31:09.641 INFO ALGOERR -
2018-06-08T17:31:09.642 INFO ALGOERR -
Failed to load the native TensorFlow runtime.
2018-06-08T17:31:09.642 INFO ALGOERR -
See https://www.tensorflow.org/install/install_sources#common_installation_problems
2018-06-08T17:31:09.642 INFO ALGOERR -
for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.
Failed to load: exited with code 1
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment